%define module_name Net-NATS-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/XSAccessor.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(JSON.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.2
Release: alt1
Summary: A Perl client for the NATS messaging system.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CARWYNM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# NATS - Perl Client
A [Perl](http://www.perl.org) client for the [NATS messaging system](https://nats.io).

[![License MIT](https://img.shields.io/npm/l/express.svg)](http://opensource.org/licenses/MIT)

## Installation

To install this module, run the following commands:
```sh
perl Makefile.PL
make
make install
```

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/N*
%perl_vendor_privlib/U*

%changelog
* Mon Apr 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1
- updated by package builder

* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2
- updated summary

* Tue Aug 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1
- initial import by package builder

